import React from 'react';
import { Page, Content } from '@choerodon/boot';
import { observer } from 'mobx-react-lite';
import { useClusterStore } from "./stores";
import MainView from "./main-view";
import CustomHeader from "../../components/custom-header";
export default observer(function () {
  var _useClusterStore = useClusterStore(),
      permission = _useClusterStore.permission,
      clusterStore = _useClusterStore.clusterStore;

  return /*#__PURE__*/React.createElement(Page, {
    service: ['choerodon.code.project.deploy.cluster.cluster-management.ps.default']
  }, /*#__PURE__*/React.createElement(CustomHeader, {
    show: !clusterStore.getNoHeader
  }), /*#__PURE__*/React.createElement(MainView, null));
});